Package com.google.protobuf

## Class DescriptorProtos.EnumValueOptions

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - com.google.protobuf.GeneratedMessage.ExtendableMessage<DescriptorProtos.EnumValueOptions>
        - - com.google.protobuf.DescriptorProtos.EnumValueOptions

All Implemented Interfaces:
  `DescriptorProtos.EnumValueOptionsOrBuilder`, `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.EnumValueOptions>`, `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `java.io.Serializable`

Enclosing class:
  DescriptorProtos

    public static final class DescriptorProtos.EnumValueOptions
    extends GeneratedMessage.ExtendableMessage<DescriptorProtos.EnumValueOptions>
    implements DescriptorProtos.EnumValueOptionsOrBuilder

Protobuf type `google.protobuf.EnumValueOptions`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DescriptorProtos.EnumValueOptions.Builder` Protobuf type `google.protobuf.EnumValueOptions`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage.ExtendableMessage

`GeneratedMessage.ExtendableMessage.ExtensionWriter`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`GeneratedMessage.BuilderParent, GeneratedMessage.ExtendableBuilder<MessageType extends GeneratedMessage.ExtendableMessage,​BuilderType extends GeneratedMessage.ExtendableBuilder>, GeneratedMessage.ExtendableMessage<MessageType extends GeneratedMessage.ExtendableMessage>, GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends GeneratedMessage.ExtendableMessage>, GeneratedMessage.FieldAccessorTable, GeneratedMessage.GeneratedExtension<ContainingType extends Message,​Type>`

### Field Summary

Fields
`static int` `DEPRECATED_FIELD_NUMBER`
`static Parser<DescriptorProtos.EnumValueOptions>` `PARSER`
`static int` `UNINTERPRETED_OPTION_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessage

`alwaysUseFieldBuilders`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DescriptorProtos.EnumValueOptions` `getDefaultInstance()`
`DescriptorProtos.EnumValueOptions` `getDefaultInstanceForType()` Get an instance of the type with no fields set.
`boolean` `getDeprecated()` `optional bool deprecated = 1 [default = false];`
`static Descriptors.Descriptor` `getDescriptor()`
`Parser<DescriptorProtos.EnumValueOptions>` `getParserForType()` Gets the parser for a message of the same type as this message.
`int` `getSerializedSize()` Get the number of bytes required to encode this message.
`DescriptorProtos.UninterpretedOption` `getUninterpretedOption​(int index)` `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
`int` `getUninterpretedOptionCount()` `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
`java.util.List<DescriptorProtos.UninterpretedOption>` `getUninterpretedOptionList()` `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
`DescriptorProtos.UninterpretedOptionOrBuilder` `getUninterpretedOptionOrBuilder​(int index)` `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
`java.util.List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>` `getUninterpretedOptionOrBuilderList()` `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
`UnknownFieldSet` `getUnknownFields()` Get the `UnknownFieldSet` for this message.
`boolean` `hasDeprecated()` `optional bool deprecated = 1 [default = false];`
`protected GeneratedMessage.FieldAccessorTable` `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
`boolean` `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static DescriptorProtos.EnumValueOptions.Builder` `newBuilder()`
`static DescriptorProtos.EnumValueOptions.Builder` `newBuilder​(DescriptorProtos.EnumValueOptions prototype)`
`DescriptorProtos.EnumValueOptions.Builder` `newBuilderForType()` Constructs a new builder for a message of the same type as this message.
`protected DescriptorProtos.EnumValueOptions.Builder` `newBuilderForType​(GeneratedMessage.BuilderParent parent)`
`static DescriptorProtos.EnumValueOptions` `parseDelimitedFrom​(java.io.InputStream input)`
`static DescriptorProtos.EnumValueOptions` `parseDelimitedFrom​(java.io.InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.EnumValueOptions` `parseFrom​(byte[] data)`
`static DescriptorProtos.EnumValueOptions` `parseFrom​(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.EnumValueOptions` `parseFrom​(ByteString data)`
`static DescriptorProtos.EnumValueOptions` `parseFrom​(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.EnumValueOptions` `parseFrom​(CodedInputStream input)`
`static DescriptorProtos.EnumValueOptions` `parseFrom​(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.EnumValueOptions` `parseFrom​(java.io.InputStream input)`
`static DescriptorProtos.EnumValueOptions` `parseFrom​(java.io.InputStream input, ExtensionRegistryLite extensionRegistry)`
`DescriptorProtos.EnumValueOptions.Builder` `toBuilder()` Constructs a builder initialized with the current message.
`protected java.lang.Object` `writeReplace()` Replaces this object in the output stream with a serialized form.
`void` `writeTo​(CodedOutputStream output)` Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessage.ExtendableMessage

`extensionsAreInitialized, extensionsSerializedSize, extensionsSerializedSizeAsMessageSet, getAllFields, getExtension, getExtension, getExtensionCount, getExtensionFields, getField, getRepeatedField, getRepeatedFieldCount, hasExtension, hasField, makeExtensionsImmutable, newExtensionWriter, newMessageSetExtensionWriter, parseUnknownField`

### Methods inherited from class com.google.protobuf.GeneratedMessage

`getDescriptorForType, getOneofFieldDescriptor, hasOneof, newFileScopedGeneratedExtension, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, newMessageScopedGeneratedExtension`

### Methods inherited from class com.google.protobuf.AbstractMessage

`equals, findInitializationErrors, getInitializationErrorString, hashCode, hashFields, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### PARSER

    public static Parser<DescriptorProtos.EnumValueOptions> PARSER

#### DEPRECATED_FIELD_NUMBER

    public static final int DEPRECATED_FIELD_NUMBER

See Also:
  Constant Field Values

#### UNINTERPRETED_OPTION_FIELD_NUMBER

    public static final int UNINTERPRETED_OPTION_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### getDefaultInstance

    public static DescriptorProtos.EnumValueOptions getDefaultInstance()

#### getDefaultInstanceForType

    public DescriptorProtos.EnumValueOptions getDefaultInstanceForType()

Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.EnumValueOptions>`
Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

#### getUnknownFields

    public final UnknownFieldSet getUnknownFields()

Description copied from interface: `MessageOrBuilder`
Get the `UnknownFieldSet` for this message.

Specified by:
  `getUnknownFields` in interface `MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `GeneratedMessage`

#### getDescriptor

    public static final Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

Description copied from class: `GeneratedMessage`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage`

#### getParserForType

    public Parser<DescriptorProtos.EnumValueOptions> getParserForType()

Description copied from interface: `MessageLite`
Gets the parser for a message of the same type as this message.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessage`

#### hasDeprecated

    public boolean hasDeprecated()

`optional bool deprecated = 1 [default = false];`

     Is this enum value deprecated?
     Depending on the target platform, this can emit Deprecated annotations
     for the enum value, or it will be completely ignored; in the very least,
     this is a formalization for deprecating enum values.

Specified by:
  `hasDeprecated` in interface `DescriptorProtos.EnumValueOptionsOrBuilder`

#### getDeprecated

    public boolean getDeprecated()

`optional bool deprecated = 1 [default = false];`

     Is this enum value deprecated?
     Depending on the target platform, this can emit Deprecated annotations
     for the enum value, or it will be completely ignored; in the very least,
     this is a formalization for deprecating enum values.

Specified by:
  `getDeprecated` in interface `DescriptorProtos.EnumValueOptionsOrBuilder`

#### getUninterpretedOptionList

    public java.util.List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()

`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

     The parser stores options it doesn't recognize here. See above.

Specified by:
  `getUninterpretedOptionList` in interface `DescriptorProtos.EnumValueOptionsOrBuilder`

#### getUninterpretedOptionOrBuilderList

    public java.util.List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()

`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

     The parser stores options it doesn't recognize here. See above.

Specified by:
  `getUninterpretedOptionOrBuilderList` in interface `DescriptorProtos.EnumValueOptionsOrBuilder`

#### getUninterpretedOptionCount

    public int getUninterpretedOptionCount()

`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

     The parser stores options it doesn't recognize here. See above.

Specified by:
  `getUninterpretedOptionCount` in interface `DescriptorProtos.EnumValueOptionsOrBuilder`

#### getUninterpretedOption

    public DescriptorProtos.UninterpretedOption getUninterpretedOption​(int index)

`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

     The parser stores options it doesn't recognize here. See above.

Specified by:
  `getUninterpretedOption` in interface `DescriptorProtos.EnumValueOptionsOrBuilder`

#### getUninterpretedOptionOrBuilder

    public DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder​(int index)

`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

     The parser stores options it doesn't recognize here. See above.

Specified by:
  `getUninterpretedOptionOrBuilder` in interface `DescriptorProtos.EnumValueOptionsOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.ExtendableMessage<DescriptorProtos.EnumValueOptions>`

#### writeTo

    public void writeTo​(CodedOutputStream output)
                 throws java.io.IOException

Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `AbstractMessage`
Throws:
  `java.io.IOException`

#### getSerializedSize

    public int getSerializedSize()

Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `AbstractMessage`

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Description copied from class: `GeneratedMessage`
Replaces this object in the output stream with a serialized form. Part of Java's serialization magic. Generated sub-classes must override this method by calling `return super.writeReplace();`

Overrides:
  `writeReplace` in class `GeneratedMessage`
Returns:
  a SerializedForm of this message
Throws:
  `java.io.ObjectStreamException`

#### parseFrom

    public static DescriptorProtos.EnumValueOptions parseFrom​(ByteString data)
                                                       throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

#### parseFrom

    public static DescriptorProtos.EnumValueOptions parseFrom​(ByteString data,
                                                              ExtensionRegistryLite extensionRegistry)
                                                       throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

#### parseFrom

    public static DescriptorProtos.EnumValueOptions parseFrom​(byte[] data)
                                                       throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

#### parseFrom

    public static DescriptorProtos.EnumValueOptions parseFrom​(byte[] data,
                                                              ExtensionRegistryLite extensionRegistry)
                                                       throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

#### parseFrom

    public static DescriptorProtos.EnumValueOptions parseFrom​(java.io.InputStream input)
                                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static DescriptorProtos.EnumValueOptions parseFrom​(java.io.InputStream input,
                                                              ExtensionRegistryLite extensionRegistry)
                                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseDelimitedFrom

    public static DescriptorProtos.EnumValueOptions parseDelimitedFrom​(java.io.InputStream input)
                                                                throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseDelimitedFrom

    public static DescriptorProtos.EnumValueOptions parseDelimitedFrom​(java.io.InputStream input,
                                                                       ExtensionRegistryLite extensionRegistry)
                                                                throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static DescriptorProtos.EnumValueOptions parseFrom​(CodedInputStream input)
                                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static DescriptorProtos.EnumValueOptions parseFrom​(CodedInputStream input,
                                                              ExtensionRegistryLite extensionRegistry)
                                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### newBuilder

    public static DescriptorProtos.EnumValueOptions.Builder newBuilder()

#### newBuilderForType

    public DescriptorProtos.EnumValueOptions.Builder newBuilderForType()

Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

#### newBuilder

    public static DescriptorProtos.EnumValueOptions.Builder newBuilder​(DescriptorProtos.EnumValueOptions prototype)

#### toBuilder

    public DescriptorProtos.EnumValueOptions.Builder toBuilder()

Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

#### newBuilderForType

    protected DescriptorProtos.EnumValueOptions.Builder newBuilderForType​(GeneratedMessage.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `GeneratedMessage`